This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 15212 - Mgetty dumps core
Mgetty dumps core
Status: CLOSED DUPLICATE of bug 15523
Product: Red Hat Linux
Classification: Retired
Component: mgetty (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-03 03:50 EDT by Mario Mikocevic
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-03 03:50:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mario Mikocevic 2000-08-03 03:50:49 EDT
danielle# mgetty /dev/ttyS2
zsh: segmentation fault (core dumped)  mgetty /dev/ttyS2

danielle# strace mgetty /dev/ttyS2
execve("/sbin/mgetty", ["mgetty", "/dev/ttyS2"], [/* 20 vars */]) = 0
brk(0)                                  = 0x805cb54
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or
directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=27775, ...}) = 0
old_mmap(NULL, 27775, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40018000
close(3)                                = 0
open("/lib/libc.so.6", O_RDONLY)        = 3
fstat64(3, {st_mode=S_IFREG|0755, st_size=4504586, ...}) = 0
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0$\260\1"..., 4096)
= 4096
old_mmap(NULL, 1116456, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) =
0x4001f000
mprotect(0x40128000, 31016, PROT_NONE)  = 0
old_mmap(0x40128000, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 3,
0x108000) = 0x40128000
old_mmap(0x4012c000, 14632, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, 1,
0) = 0x4012c000
close(3)                                = 0
munmap(0x40018000, 27775)               = 0
getpid()                                = 767
rt_sigaction(SIGHUP, {SIG_IGN}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGINT, {0x8049c30, [], SA_RESTART|0x4000000}, {SIG_DFL}, 8) =
0
rt_sigaction(SIGQUIT, {0x8049c30, [], SA_RESTART|0x4000000}, {SIG_DFL}, 8)
= 0
rt_sigaction(SIGTERM, {0x8049c30, [], SA_RESTART|0x4000000}, {SIG_DFL}, 8)
= 0
rt_sigaction(SIGUSR1, {0x8049c10, [], SA_RESTART|0x4000000}, {SIG_DFL}, 8)
= 0
rt_sigaction(SIGUSR2, {0x8049d40, [], SA_RESTART|0x4000000}, {SIG_DFL}, 8)
= 0
rt_sigaction(SIGINT, NULL, {0x8049c30, [], SA_RESTART|0x4000000}, 8) = 0
rt_sigaction(SIGINT, {0x8049c30, [], 0x4000000}, NULL, 8) = 0
rt_sigaction(SIGALRM, NULL, {SIG_DFL}, 8) = 0
rt_sigaction(SIGALRM, {SIG_DFL}, NULL, 8) = 0
rt_sigaction(SIGHUP, NULL, {SIG_IGN}, 8) = 0
rt_sigaction(SIGHUP, {SIG_IGN}, NULL, 8) = 0
rt_sigaction(SIGUSR1, NULL, {0x8049c10, [], SA_RESTART|0x4000000}, 8) = 0
rt_sigaction(SIGUSR1, {0x8049c10, [], 0x4000000}, NULL, 8) = 0
rt_sigaction(SIGUSR2, NULL, {0x8049d40, [], SA_RESTART|0x4000000}, 8) = 0
rt_sigaction(SIGUSR2, {0x8049d40, [], 0x4000000}, NULL, 8) = 0
brk(0)                                  = 0x805cb54
brk(0x805cb74)                          = 0x805cb74
brk(0x805d000)                          = 0x805d000
--- SIGSEGV (Segmentation fault) ---
+++ killed by SIGSEGV +++
Comment 1 Jeremy Katz 2000-08-06 00:14:35 EDT

*** This bug has been marked as a duplicate of 15523 ***

Note You need to log in before you can comment on or make changes to this bug.